package com.app.admin.framework.log.service;

import com.app.admin.framework.log.model.SysOperationLog;
import com.app.framework.core.support.auth.LoginUser;
import com.app.framework.core.support.service.CrudBaseService;
import com.app.framework.core.support.view.grid.Paging;

import java.util.List;

/**
 * 系统操作日志
 */
public interface SysOperationLogService extends CrudBaseService<SysOperationLog> {

	List<SysOperationLog> getPageList(SysOperationLog view, LoginUser loginUser, Paging paging);

	/**
	 * 保存对象
	 * @param entity 对象
	 */
	boolean saveOperationLog(SysOperationLog entity);

}