package com.app.component.sysconfig.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * sys_config
 * @author 
 */
@Data
@ToString
@TableName("sys_config")
public class SysConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long oid;

    /**
     * 配置名称(英文)
     */
    private String cfgName;

    /**
     * 配置描述
     */
    private String cfgDescribe;

    /**
     * 值
     */
    private String cfgValue;

    /**
     * 值2
     */
    private String cfgValue2;

    /**
     * 值3
     */
    private String cfgValue3;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最后修改时间
     */
    private Date lastModifiedTime;

}