package com.app.framework.core.log.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 方法执行结束之后切入
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD})
@Documented
public @interface LogOps {
	
	/**
	 * 操作类型
	 * 	可自定义
	 */
	String type();
    
    /**
     * 操作内容
     */
    String description() default "";
    
}
