package com.app.framework.core.support.enums.dict;

import com.app.framework.core.support.enums.data.EnumItem;
import lombok.Data;

import java.util.List;

/**
 * 枚举转字典使用
 */
@Data
public class DictMgt {

    /**
     * 字典标识
     */
    private String type;

    /**
     * 字典标识名称
     */
    private String desc;

    /**
     * 字典值列表
     */
    private List<EnumItem> dictItemList;
}
