package com.app.admin.framework.system.permission.role.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * sys_permission_role
 * @author 
 */
@Data
@ToString
@TableName("sys_permission_role")
public class SysRole implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID主键
     */
    @TableId(type = IdType.AUTO)
    private Long oid;

    /**
     * 组织机构ID，关联表sys_organization主键
     */
    private Long organizationId;

    /**
     * 名称
     */
    private String name;

    /**
     * 角色类型(0:系统角色,不允许删除 1:新建角色)
     */
    private Integer type;

    /**
     * 角色描述
     */
    private String remark;

    /**
     * 状态
     */
    private Integer state;

    /**
     * 创建人Id
     */
    private Long createUserId;

    /**
     * 创建时间
     */
    private Date createTime;

}