package com.app.framework.core.exception.global.appender;

import org.springframework.web.method.HandlerMethod;

import javax.servlet.http.HttpServletRequest;

/**
 * 全局异常输出器
 *  可自定义输出至DB或MongoDB
 */
public interface ExceptionAppenderBase {

    void append(HttpServletRequest request, HandlerMethod handlerMethod, Exception e, long timeStamp);

}
