package com.app.framework.core.support.service;

import com.app.framework.core.support.view.grid.Paging;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 公共Service接口定义
 * 所有定义的Service接口若要使用基类方法都必须继承此类
 * 只能通过继承的方式使用
 */
public interface CrudBaseService<T> extends IService<T> {

    default List<T> getPageList(T view, Paging paging) {
        return null;
    }

}